#include <QNetworkInterface>
#include <QFile>
#include <QTextStream>
#include <QHostInfo>


int main(int argc, char* argv[]) {
  QFile file("interfaces.txt");
  file.open(QIODevice::WriteOnly|QIODevice::Truncate|QIODevice::Text);
  QTextStream str(&file);
  int i = 1;
  foreach (const QHostAddress& addr, QNetworkInterface::allAddresses()) {
    QString type;

    if (addr.protocol() == QAbstractSocket::IPv6Protocol)
      type = "IPv6";
    else if (addr.protocol() == QAbstractSocket::IPv4Protocol)
      type = "IPv4";
    else
      type = "Uknown";

    str << QString::number(i) << ". " << addr.toString().toLatin1() << " Type: " << type << endl;
    i++;
  }

  str << "Host name: " << QHostInfo::localHostName() << endl;
  str << "Domain name: " << QHostInfo::localDomainName() << endl;

  return 0;
}
